/////////////////////////////////////////////////////////////////
//	Brushing & Scripting                         		 	  //
//	By: FaT NiPple CreaTionS								 //
//	Updated from 21/07/2009 to 03/12/2009 by [ FaTNiPple ]  //
/////////////////////////////////////////////////////////////
//	New shader for blue bricks					// Test 2 //
///////////////////////////////////////////////////////////

textures/tjdingo5/blue
{
	qer_editorimage textures/tjdingo5/blue.jpg
	q3map_globaltexture
	surfaceparm slick
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm nodamage
	q3map_nonplanar
	q3map_shadeangle 120
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tjdingo5/blue.jpg	
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}  
	{
		map textures/tjdingo5/shiney.jpg
   		blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
		rgbGen identity
		tcGen environment
    }
}

/////////////////////////////////////////////////////////////////
//	Hippy Shader from tj_dingo4				    	// Test 3 //
///////////////////////////////////////////////////////////////

textures/tjdingo5/hippy2
{
	qer_editorimage textures/tjdingo5/hippy2.jpg
	cull back

	q3map_nonplanar
	q3map_shadeAngle 180

    q3map_traceLight
	surfaceparm pointlight


	deformVertexes wave 1024 sin 0 30 0 0.5

	surfaceparm nonsolid
  	nocompress
	nopicmip

	{
		map textures/tjdingo5/hippy2.jpg
		rgbGen identity
		tcGen environment		
	}
}

/////////////////////////////////////////////////////////////////
//	New	Shader from tj_dingo				    	// Test 1 //
///////////////////////////////////////////////////////////////

textures/dingo/realleaf
{
	polygonOffset
	entityMergable
	{
		map textures/dingo/realleaf.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

/////////////////////////////////////////////////////////////////
//	Shader from xlabs					    		// Test 1 //
///////////////////////////////////////////////////////////////

textures/decals/xlabs
{
	polygonOffset
	entityMergable
	{
		map textures/decals/xlabs.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

/////////////////////////////////////////////////////////////////
//	New	Shader for tags						    	// Test 1 //
///////////////////////////////////////////////////////////////

textures/tjdingo5/cu
{
	polygonOffset
	entityMergable
	{
		map textures/tjdingo5/cu.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

textures/tjdingo5/fatnipple
{
	polygonOffset
	entityMergable
	{
		map textures/tjdingo5/fatnipple.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

textures/tjdingo5/smurf
{
	polygonOffset
	entityMergable
	{
		map textures/tjdingo5/smurf.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

textures/tjdingo5/winni
{
	polygonOffset
	entityMergable
	{
		map textures/tjdingo5/winni.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

textures/tjdingo5/tomike
{
	polygonOffset
	entityMergable
	{
		map textures/tjdingo5/tomike.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}